Subject: [bug#48729] [PATCH v7 05/25] gnu: Add go-github-com-keybase-go-ps.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 03 Jul 2021 04:09:16 +0200

Raghav Gururajan via Guix-patches via 写道：
> +               (substitute* (find-files "." ".*test\\.go")

I think this should be ".*test\\.go$" to match only extensions, 
unless you want to match test.gosomethinglikethis as well?

Note that ".*test" is simply equivalent to "test", but some people 
find it clearer.  I personally don't!  Both are fine.

> +                 (("/bin/sleep")
> +                  (string-append
> +                   (assoc-ref (or native-inputs inputs) 
> "coreutils")
> +                   "/bin/sleep"))))))))

This is fine, but you could also write

+               (substitute* (find-files "." ".*test\\.go")
+                 (("/bin/sleep" command)
+                  (string-append
+                   (assoc-ref (or native-inputs inputs) 
"coreutils")
+                   command))))))))

> +      (synopsis "Process List Library for Go")

‘list library’.

> +      (description "Go-Ps is a library for Go that implements 
> OS-specific APIs
> +to list and manipulate processes in a platform-safe way.")

I'm nitpicking upstream here: s/platform-safe/safe/ .

Kind regards,

T G-R